function isVisible(topic) {
	return $('.menu-items', topic.parent()).is(':visible');
}

function changeCollapsed(topic, speed) {
	if (!$(".menu-items", topic.closest(".menu-navigation")).length) return;

	if (typeof speed === "undefined") speed = 300;

	if (isVisible(topic)) {
		$('.menu-items', topic.parent()).slideUp(speed,
			function () { topic.removeClass("ui-corner-top").addClass("ui-corner-all"); }
		);
		topic.children(".menu-topic-show").children().removeClass("ui-icon-triangle-1-s").addClass("ui-icon-triangle-1-e");
		
	} else {
		$('.menu-items', topic.parent()).slideDown(speed);
		topic.children(".menu-topic-show").children().removeClass("ui-icon-triangle-1-e").addClass("ui-icon-triangle-1-s");
		topic.removeClass("ui-corner-all").addClass("ui-corner-top");
	}
}

$(document).ready( function() {
	$("#menu").on("click", '.menu-item', function (evt) {
		var submenu = $(this).closest(".menu-submenu");
		if (evt.ctrlKey) websettings.select(submenu.attr("data-id"), $(this).attr("data-id"));
		else websettings.go(submenu.attr("data-id"), $(this).attr("data-id"));
	});
	
	$("#menu").on("click", '.menu-topic', function () {
		if (!isVisible($(this))) changeCollapsed($(this));
		websettings.go($(this).attr("data-submenu"), "");
	});
	
	$("#menu").on("click", '.menu-item-add', function () {
		var subsubmenu = $(this).closest(".menu-submenu");
		websettings.add($(this).attr("data-submenu"), "");
	});
	
	$("#menu").on("mouseover", '.menu-item', function () {
		if (!$(this).hasClass("ui-icon")) $(this).addClass("ui-state-hover");
	});
	
	$("#menu").on("mouseleave", '.menu-item', function () {
		$(this).removeClass("ui-state-hover");
	});
	
	$("#menu").on("click", ".menu-topic-ok", function () {
		var submenu = $(this).closest(".menu-submenu");
		websettings.menuOk(submenu.attr("data-id"));
	});
	
	$("#menu").on("click", '.menu-topic-show', function () {
		changeCollapsed($(this).parent());
	});
	
	$("#menu").on("click", '.menu-submenu-show', function () {
		var submenu = $(".menu-submenu[data-id='" + $(this).attr("data-submenu") + "']", $(this).closest(".menu-submenu"));
		if (submenu.is(':visible')) {
			submenu.slideUp(300);
			$(this).children().removeClass("ui-icon-triangle-1-s").addClass("ui-icon-triangle-1-e");
		} else {
			submenu.slideDown(300);
			$(this).children().removeClass("ui-icon-triangle-1-e").addClass("ui-icon-triangle-1-s");
		}
		return false;
	});
	
	$("#menu").on("mouseover", '.menu-topic', function () {
		$(this).addClass("ui-state-hover");
	});
	
	$("#menu").on("mouseleave", '.menu-topic', function () {
		$(this).removeClass("ui-state-hover");
	});
});
